"""
This file is part of LionsTooth.

LionsTooth is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

LionsTooth is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LionsTooth.  If not, see <http://www.gnu.org/licenses/>.
"""

import sys # to detect python version; Python 3.5, regex uses .group(). Python 3.6 uses substitution.
class workarounds():
	def __init__(self):
		self.python_35 = False
		if sys.version_info[1] < 6: self.python_35 = True
		print(self.python_35)

	def groups_to_substitution(self, match_obj):
		new_match_obj = []
		if self.python_35:
			if type(match_obj) is tuple:
				return match_obj
			else:
				new_match_obj.append( match_obj.group(0) )
				for m in match_obj.groups():
					new_match_obj.append( m )
		else:
			return match_obj
		return new_match_obj
