"""
This file is part of LionsTooth.

LionsTooth is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

LionsTooth is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LionsTooth.  If not, see <http://www.gnu.org/licenses/>.
"""
from PyQt5 import QtCore, QtGui, QtWidgets, QtSvg

class loading_icon(QtSvg.QSvgWidget):
	def __init__(self, animation=False, parent=None):
		QtSvg.QSvgWidget.__init__(self, parent=parent)
		animation = animation
		if animation: self.load(":/icons/icons/loading.svg")
		else: self.load(":/icons/icons/refresh_grey.svg")
		self.offset = 0
		self.hide()
	
	def start(self):
		self.show()
		
	def stop(self):
		self.hide()
